> ## Documentation Index
> Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all volumesets based on a query

> Response will contain all the volumesets the caller is authorized to view



## OpenAPI

````yaml post /org/{org}/volumeset/-query
openapi: 3.0.3
info:
  title: Control Plane Core API
  description: Copyright © 2023 Control Plane Corporation. All rights reserved.
  version: 1.0.0
servers:
  - url: https://api.cpln.io
    description: ''
security:
  - {}
  - serviceAccountKey: []
  - jwt: []
externalDocs:
  url: https://docs.controlplane.com/
  description: End-user documentation
paths:
  /org/{org}/volumeset/-query:
    post:
      tags:
        - volumeset
        - query
      summary: Get all volumesets based on a query
      description: >-
        Response will contain all the volumesets the caller is authorized to
        view
      parameters:
        - in: path
          name: org
          required: true
          schema:
            type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/query'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/queryresult'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    query:
      type: object
      properties:
        kind:
          type: string
        context:
          type: object
          readOnly: true
        spec:
          type: object
          properties:
            match:
              type: string
              enum:
                - all
                - any
                - none
              default: all
            terms:
              type: array
              items:
                type: object
                properties:
                  op:
                    type: string
                    enum:
                      - '='
                      - '>'
                      - '>='
                      - <
                      - <=
                      - '!='
                      - '~'
                      - '=~'
                      - exists
                      - '!exists'
                      - contains
                    default: '='
                  property:
                    type: string
                  rel:
                    type: string
                  tag:
                    type: string
                  value:
                    oneOf:
                      - type: string
                      - type: number
                      - type: boolean
                      - type: string
                        format: date-time
                additionalProperties: false
            sort:
              type: object
              properties:
                by:
                  type: string
                order:
                  type: string
                  enum:
                    - asc
                    - desc
                  default: asc
              additionalProperties: false
          additionalProperties: false
      additionalProperties: false
    queryresult:
      type: object
      properties:
        kind:
          type: string
        itemKind:
          type: string
          enum:
            - org
            - cloudaccount
            - policy
            - user
            - group
            - resource
            - task
            - permissions
            - serviceaccount
            - secret
            - location
            - gvc
            - workload
            - quota
            - identity
            - deployment
            - event
            - domain
            - image
            - ipset
            - resourcepolicy
            - agent
            - accessreport
            - policymembership
            - dbcluster
            - auditctx
            - memcachecluster
            - spicedbcluster
            - tenant
            - mk8s
            - command
            - imagesummary
            - volumeset
        items:
          type: array
          items:
            type: object
        links:
          type: array
          items:
            $ref: '#/components/schemas/link'
        query:
          $ref: '#/components/schemas/query'
      additionalProperties: false
    error:
      type: object
      properties:
        status:
          type: integer
        message:
          type: string
        code:
          type: string
        details:
          type: object
        id:
          type: string
      additionalProperties: false
    link:
      type: object
      properties:
        rel:
          type: string
        href:
          type: string
      additionalProperties: false
  securitySchemes:
    serviceAccountKey:
      type: apiKey
      in: header
      name: Authorization
      description: Service account key can be used as API keys
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: IDP-provided token

````